Loading...
Searching...
No Matches
common_sockaddr_t Union Reference

## Data Fields

struct sockaddr | sa
struct sockaddr_in | in
struct sockaddr_in6 | in6
struct sockaddr_storage | storage

## Detailed Description

Definition at line 161 of file internal.h.

## Field Documentation

## in

struct sockaddr_in common_sockaddr_t::in

Definition at line 164 of file internal.h.

## in6

struct sockaddr_in6 common_sockaddr_t::in6

Definition at line 165 of file internal.h.

## sa

struct sockaddr common_sockaddr_t::sa

Definition at line 163 of file internal.h.

## storage

struct sockaddr_storage common_sockaddr_t::storage

Definition at line 166 of file internal.h.

The documentation for this union was generated from the following file:

- internal.h